# NOTE: There are no ELF objects produced by the package, so no need
# for debuginfo.
%define debug_package %{nil}

# FIXME: The _sysfontdir stuff doesn't work yet, so don't use it.  Once
# upstream fonts have a build time configureable output directory that is
# a sane mechanism, we can rethink this.
%define _x11fontdirprefix	%{_datadir}
# NOTE: Fonts strictly intended for X core fonts, should be installed
# into _x11fontdir.
%define _x11fontdir		%{_x11fontdirprefix}/X11/fonts
# NOTE: Fonts intended to be visible to both fontconfig, and the core fonts
# system, should be installed into _systemfontdir.
%define _sysfontdir		%{_datadir}/fonts

#%define _type1_fontdir		%{_sysfontdir}
%define _type1_fontdir		%{_x11fontdir}
#%define _otf_fontdir		%{_sysfontdir}
%define _otf_fontdir		%{_x11fontdir}
%define _ttf_fontdir		%{_x11fontdir}

# Configuration section
%define with_ethiopic_fonts	1
%if %{with_ethiopic_fonts}
%define ethiopic_fonts -a35
%else
%define ethiopic_fonts ""
%endif

Summary:	X.Org X11 fonts
Name:		xorg-x11-fonts
Version:	7.0
Release:	3
License:	Various licenses
Group:		User Interface/X
URL:		http://www.x.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:	noarch

Source0:	encodings-1.0.0.tar.bz2
Source1:	font-alias-1.0.1.tar.bz2
Source10:	font-adobe-100dpi-1.0.0.tar.bz2
Source11:	font-adobe-75dpi-1.0.0.tar.bz2
Source12:	font-adobe-utopia-100dpi-1.0.1.tar.bz2
Source13:	font-adobe-utopia-75dpi-1.0.1.tar.bz2
Source14:	font-adobe-utopia-type1-1.0.1.tar.bz2

Source15:	font-arabic-misc-1.0.0.tar.bz2

Source16:	font-bh-100dpi-1.0.0.tar.bz2
Source17:	font-bh-75dpi-1.0.0.tar.bz2
Source18:	font-bh-lucidatypewriter-100dpi-1.0.0.tar.bz2
Source19:	font-bh-lucidatypewriter-75dpi-1.0.0.tar.bz2

Source20:	font-bh-ttf-1.0.0.tar.bz2
Source21:	font-bh-type1-1.0.0.tar.bz2
Source22:	font-bitstream-100dpi-1.0.0.tar.bz2
Source23:	font-bitstream-75dpi-1.0.0.tar.bz2
# NOTE: X.Org 6.8.x and later has deprecated and disabled the speedo font
# support by default, so we exclude the speedo fonts.
#Source24:	font-bitstream-speedo-1.0.0.tar.bz2
Source25:	font-bitstream-type1-1.0.0.tar.bz2
Source26:	font-cronyx-cyrillic-1.0.0.tar.bz2
Source27:	font-cursor-misc-1.0.0.tar.bz2
Source28:	font-daewoo-misc-1.0.0.tar.bz2
Source29:	font-dec-misc-1.0.0.tar.bz2
Source30:	font-ibm-type1-1.0.0.tar.bz2
Source31:	font-isas-misc-1.0.0.tar.bz2
Source32:	font-jis-misc-1.0.0.tar.bz2
Source33:	font-micro-misc-1.0.0.tar.bz2
Source34:	font-misc-cyrillic-1.0.0.tar.bz2
%if %{with_ethiopic_fonts}
Source35:	font-misc-ethiopic-1.0.0.tar.bz2
%endif
Source36:	font-misc-meltho-1.0.0.tar.bz2
Source37:	font-misc-misc-1.0.0.tar.bz2
Source38:	font-mutt-misc-1.0.0.tar.bz2
Source39:	font-schumacher-misc-1.0.0.tar.bz2
Source40:	font-screen-cyrillic-1.0.0.tar.bz2
Source41:	font-sony-misc-1.0.0.tar.bz2
Source42:	font-sun-misc-1.0.0.tar.bz2
Source43:	font-winitzki-cyrillic-1.0.0.tar.bz2
Source44:	font-xfree86-type1-1.0.0.tar.bz2

Patch0: font-alias-1.0.0-fonts-alias-fontdir-fix.patch
Patch1: encodings-1.0.0-encodings-fontdir-fix.patch

BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros
# The font-utils dep here is to ensure we have a fontutil.pc file which
# defines the 'fontdir' variable.
BuildRequires: font-utils >= 1.0.0

BuildRequires: ucs2any, bdftruncate, bdftopcf
# FIXME: perl is used for now to avoid having to maintain a big patch.
BuildRequires: perl

%description
X.Org X Window System fonts

#--------------------------------------------------------------------------
%package base
Summary: Base fonts required by the X Window System.
Group: User Interface/X
Requires(post): mkfontdir, mkfontscale, fontconfig, chkfontpath
Requires(postun): mkfontdir, mkfontscale, fontconfig, chkfontpath
# Required so upgrades work, since base fonts moved here from main pkg
Conflicts: XFree86 <= 4.2.0-3.1
# The fonts.* files from truetype and syriac moved from those pkgs to base
Conflicts: XFree86-truetype-fonts < 4.2.99.901-20030209.2
Conflicts: XFree86-syriac-fonts < 4.2.99.901-20030209.2
# NOTE: Modular X packaging has split the FC3/FC4/RHEL4 fonts-xorg-base
# package into 2 subpackages, 'base' containing the fixed/cursor fonts that
# are required for proper X server operation, and 'misc' containing the
# various Asian/Indic/Arabic/etc. fonts that were previously in 'base'. This
# Obsoletes is also present in the 'misc' subpackage, however Jeremy Katz
# indicated that it is ok to put this in multiple subpackages, and OS upgrades
# will "do the right thing".  Ditto for XFree86-base-fonts/xorg-x11-base-fonts.
# NOTE: "Obsoletes: XFree86-base-fonts" required for upgrades from RHEL2.1,
#       RHEL 3, RHL 7.x,8,9, FC1
Obsoletes: XFree86-base-fonts
# NOTE: "Obsoletes: xorg-x11-base-fonts" required for upgrades from FC2, stock FC3
Obsoletes: xorg-x11-base-fonts
# NOTE: "Obsoletes: fonts-xorg-base" required for upgrades from FC3, FC4, RHEL4
Obsoletes: fonts-xorg-base

%description base
This package provides the base fonts, and font encoding files that are
required by the X Window System.
#--------------------------------------------------------------------------
%package misc
Summary: misc bitmap fonts for the X Window System
Group: User Interface/X
Requires(post): mkfontdir, fontconfig, chkfontpath
Requires(postun): mkfontdir, fontconfig
# Required so upgrades work, since base fonts moved here from main pkg
Conflicts: XFree86 <= 4.2.0-3.1
# NOTE: Modular X packaging has split the FC3/FC4/RHEL4 fonts-xorg-base
# package into 2 subpackages, 'base' containing the fixed/cursor fonts that
# are required for proper X server operation, and 'misc' containing the
# various Asian/Indic/Arabic/etc. fonts that were previously in 'base'. This
# Obsoletes is also present in the 'base' subpackage, however Jeremy Katz
# indicated that it is ok to put this in multiple subpackages, and OS upgrades
# will "do the right thing".  Ditto for XFree86-base-fonts/xorg-x11-base-fonts.
# NOTE: "Obsoletes: XFree86-base-fonts" required for upgrades from RHEL2.1,
#       RHEL 3, RHL 7.x,8,9, FC1
Obsoletes: XFree86-base-fonts
# NOTE: "Obsoletes: xorg-x11-base-fonts" required for upgrades from FC2, stock FC3
Obsoletes: xorg-x11-base-fonts
# NOTE: "Obsoletes: fonts-xorg-base" required for upgrades from FC3, FC4, RHEL4
Obsoletes: fonts-xorg-base

%description misc
This package contains misc bitmap Chinese, Japanese, Korean, Indic, and Arabic
fonts for use with X Window System.
#--------------------------------------------------------------------------
%package Type1
Summary: Type1 fonts provided by the X Window System
Group: User Interface/X
Requires(post): mkfontdir, fontconfig, mkfontscale, chkfontpath
Requires(postun): mkfontdir, fontconfig, mkfontscale
# NOTE: Modular X packaging has split the FC3/FC4/RHEL4 fonts-xorg-base
# package into 2 subpackages, 'base' containing the fixed/cursor fonts that
# are required for proper X server operation, and 'misc' containing the
# various Asian/Indic/Arabic/etc. fonts that were previously in 'base'. This
# Obsoletes is also present in the 'base' and 'misc' subpackage, however
# Jeremy Katz indicated that it is ok to put this in multiple subpackages,
# and OS upgrades will "do the right thing".  Ditto for
# XFree86-base-fonts/xorg-x11-base-fonts.
# NOTE: "Obsoletes: XFree86-base-fonts" required for upgrades from RHEL2.1,
#       RHEL 3, RHL 7.x,8,9, FC1
Obsoletes: XFree86-base-fonts
# NOTE: "Obsoletes: xorg-x11-base-fonts" required for upgrades from FC2, stock FC3
Obsoletes: xorg-x11-base-fonts
# NOTE: "Obsoletes: fonts-xorg-base" required for upgrades from FC3, FC4, RHEL4
Obsoletes: fonts-xorg-base

%description Type1
A collection of Type1 fonts which are part of the core X Window System
distribution.
#--------------------------------------------------------------------------
%package truetype
Summary: TrueType fonts provided by the X Window System
Group: User Interface/X
Requires(post): mkfontdir, fontconfig, ttmkfdir, chkfontpath
Requires(postun): mkfontdir, fontconfig, ttmkfdir
Obsoletes: XFree86-truetype-fonts
Obsoletes: xorg-x11-truetype-fonts
Obsoletes: fonts-xorg-truetype

%description truetype
A collection of truetype fonts which are part of the core X Window System
distribution.
#--------------------------------------------------------------------------
%package syriac
Summary: Syriac TrueType fonts by Beth Mardutho
Group: User Interface/X
Requires(post): mkfontdir, mkfontscale, fontconfig, chkfontpath
Requires(postun): mkfontdir, mkfontscale, fontconfig
Obsoletes: XFree86-syriac-fonts
Obsoletes: xorg-x11-syriac-fonts
Obsoletes: fonts-xorg-syriac

%description syriac
A collection of Syriac truetype fonts from Beth Mardutho, which are part
of the core X Window System distribution.
#--------------------------------------------------------------------------
%if %{with_ethiopic_fonts}
%package ethiopic
Summary: Ethiopic fonts
Group: User Interface/X
Requires(post): mkfontdir, ttmkfdir, mkfontscale, fontconfig, chkfontpath
Requires(postun): mkfontdir, ttmkfdir, mkfontscale, fontconfig

%description ethiopic
Ethiopic fonts which are part of the core X Window System distribution.
%endif
#--------------------------------------------------------------------------
%package 75dpi
Summary: A set of 75dpi resolution fonts for the X Window System.
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-75dpi-fonts
Obsoletes: xorg-x11-75dpi-fonts
Obsoletes: fonts-xorg-75dpi

%description 75dpi
A set of 75 dpi fonts used by the X window system.
#--------------------------------------------------------------------------
%package 100dpi
Summary: A set of 100dpi resolution fonts for the X Window System.
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-100dpi-fonts
Obsoletes: xorg-x11-100dpi-fonts
Obsoletes: fonts-xorg-100dpi

%description 100dpi
A set of 100 dpi fonts used by the X window system.
#--------------------------------------------------------------------------
%package ISO8859-1-75dpi
Summary: A set of 75dpi ISO-8859-1 fonts for X.
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-75dpi-fonts
Obsoletes: xorg-x11-75dpi-fonts
# The ISO8859-1 fonts used to be coupled with the UCS fonts.
Obsoletes: fonts-xorg-75dpi
Conflicts: fonts-xorg-75dpi

%description ISO8859-1-75dpi
Contains a set of 75dpi fonts for ISO-8859-1.
#--------------------------------------------------------------------------
%package ISO8859-1-100dpi
Summary: A set of 100dpi ISO-8859-1 fonts for X.
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-100dpi-fonts
Obsoletes: xorg-x11-100dpi-fonts
# The ISO8859-1 fonts used to be coupled with the UCS fonts.
Obsoletes: fonts-xorg-100dpi
Conflicts: fonts-xorg-100dpi

%description ISO8859-1-100dpi
Contains a set of 100dpi fonts for ISO-8859-1.
#--------------------------------------------------------------------------
%package ISO8859-2-75dpi
Summary: A set of 75dpi Central European language fonts for X.
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-ISO8859-2-75dpi-fonts
Obsoletes: xorg-x11-ISO8859-2-75dpi-fonts
Obsoletes: fonts-xorg-ISO8859-2-75dpi

%description ISO8859-2-75dpi
Contains a set of 75dpi fonts for Central European languages.
#--------------------------------------------------------------------------
%package ISO8859-2-100dpi
Summary: A set of 100dpi Central European language fonts for X.
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-ISO8859-2-100dpi-fonts
Obsoletes: xorg-x11-ISO8859-2-100dpi-fonts
Obsoletes: fonts-xorg-ISO8859-2-100dpi

%description ISO8859-2-100dpi
Contains a set of 100dpi fonts for Central European languages.
#--------------------------------------------------------------------------
%package ISO8859-9-75dpi
Summary: ISO8859-9-75dpi fonts
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-ISO8859-9-75dpi-fonts
Obsoletes: xorg-x11-ISO8859-9-75dpi-fonts
Obsoletes: fonts-xorg-ISO8859-9-75dpi

%description ISO8859-9-75dpi
Contains a set of 75dpi fonts for the Turkish language.
#--------------------------------------------------------------------------
%package ISO8859-9-100dpi
Summary: ISO8859-9-100dpi fonts
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-ISO8859-9-100dpi-fonts
Obsoletes: xorg-x11-ISO8859-9-100dpi-fonts
Obsoletes: fonts-xorg-ISO8859-9-100dpi

%description ISO8859-9-100dpi
Contains a set of 100dpi fonts for the Turkish language.
#--------------------------------------------------------------------------
%package ISO8859-14-75dpi
Summary: ISO8859-14-75dpi fonts
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-ISO8859-14-75dpi-fonts
Obsoletes: xorg-x11-ISO8859-14-75dpi-fonts
Obsoletes: fonts-xorg-ISO8859-14-75dpi

%description ISO8859-14-75dpi
Contains a set of 75dpi fonts in the ISO8859-14 encoding which
provide Welsh support.
#--------------------------------------------------------------------------
%package ISO8859-14-100dpi
Summary: ISO8859-14-100dpi fonts
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-ISO8859-14-100dpi-fonts
Obsoletes: xorg-x11-ISO8859-14-100dpi-fonts
Obsoletes: fonts-xorg-ISO8859-14-100dpi

%description ISO8859-14-100dpi
Contains a set of 100dpi fonts in the ISO8859-14 encoding which
provide Welsh support.
#--------------------------------------------------------------------------
%package ISO8859-15-75dpi
Summary: ISO8859-15-75dpi fonts
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-ISO8859-15-75dpi-fonts
Obsoletes: xorg-x11-ISO8859-15-75dpi-fonts
Obsoletes: fonts-xorg-ISO8859-15-75dpi

%description ISO8859-15-75dpi
Contains a set of 75dpi fonts in the ISO8859-15 encoding which
provide Euro support.
#--------------------------------------------------------------------------
%package ISO8859-15-100dpi
Summary: ISO8859-15-100dpi fonts
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-ISO8859-15-100dpi-fonts
Obsoletes: xorg-x11-ISO8859-15-100dpi-fonts
Obsoletes: fonts-xorg-ISO8859-15-100dpi

%description ISO8859-15-100dpi
Contains a set of 100dpi fonts in the ISO8859-15 encoding which
provide Euro support.
#--------------------------------------------------------------------------
%package cyrillic
Summary: Cyrillic fonts for X.
Group: User Interface/X
Requires(post): mkfontdir, chkfontpath
Requires(postun): mkfontdir
Obsoletes: XFree86-cyrillic-fonts
Obsoletes: xorg-x11-cyrillic-fonts
Obsoletes: fonts-xorg-cyrillic

%description cyrillic
Contains a set of Cyrillic fonts.
#--------------------------------------------------------------------------
%prep
%define setup_fonts_misc	-a15 -a27 -a28 -a29 -a31 -a32 -a33 -a37 -a38 -a39 -a41 -a42
%define setup_fonts_100dpi	-a10 -a12 -a16 -a18 -a22
%define setup_fonts_75dpi	-a11 -a13 -a17 -a19 -a23
%define setup_fonts_cyrillic	-a26 -a34 -a40 -a43
%define setup_fonts_type1	-a14 -a21 -a25 -a30 -a44
%define setup_fonts_ttf		-a20
%define setup_fonts_otf		%{ethiopic_fonts} -a36
# NOTE: X.Org 6.8.x and later has deprecated and disabled the speedo font
# support by default, so we exclude the speedo fonts.
%define setup_fonts_speedo	-a24
%define setup_font_metadata	-a1

%define setup_fonts_bitmap	%{setup_fonts_misc} %{setup_fonts_100dpi} %{setup_fonts_75dpi} %{setup_fonts_cyrillic}
%define setup_fonts_scaleable	%{setup_fonts_type1} %{setup_fonts_ttf} %{setup_fonts_otf}

%setup -q -c %{name}-%{version} %{setup_font_metadata} %{setup_fonts_bitmap} %{setup_fonts_scaleable}
%patch0 -p0 -b .fonts-alias-fontdir-fix
%patch1 -p0 -b .encodings-fontdir-fix


#--------------------------------------------------------------------------
%build
for dir in $(find . -maxdepth 1 -type d -name '[a-z]*-[0-9]*' | sort | sed -e 's#\./##g') ; do
    pushd $dir
    case $dir in
        encodings-*)
            perl -p -i -e 's#(^DEFAULT(_|_OTF|_TTF)FONTDIR=)\${libdir}/X11/fonts#\1\$(pkg-config --variable=fontdir fontutil)#' configure.ac
            autoconf
            %configure
        ;;

        *)
            # FIXME: Yes, this perl hack is fairly ugly, but beats the heck out of
            # making a patch that patches 35 or so configure.ac files and maintaining
            # it for an indefinite amount of time.  Hopefully my solution here will
            # get considered to be included in upstream 7.1 release in which case I'll
            # turn it into a series of diffs instead and submit it.  For now tho, perl
            # is my friend.  -- mharris
            perl -p -i -e 's#(^DEFAULT(_|_OTF|_TTF)FONTDIR=)\${libdir}/X11/fonts#\1\$(pkg-config --variable=fontdir fontutil)#' configure.ac
            autoconf
            %configure \
                --disable-iso8859-3 --disable-iso8859-4 --disable-iso8859-6 \
                --disable-iso8859-10 --disable-iso8859-11 --disable-iso8859-12 \
                --disable-iso8859-13 --disable-iso8859-16
        ;;
    esac

    make
    popd
done

#--------------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

for dir in $(find . -maxdepth 1 -type d -name '[a-z]*-[0-9]*' | sort | sed -e 's#\./##g') ; do
    pushd $dir
    # FIXME: The upstream sources need to be patched to allow direct
    # specification of the 'fontdir' variable, instead of it being
    # relative to libdir.
    make install DESTDIR=$RPM_BUILD_ROOT
    popd
done

# Create fake %ghost files for file manifests.
{
    # Make ghost fonts.alias, fonts.dir, encodings.dir files
    FONTDIR=$RPM_BUILD_ROOT%{_x11fontdir}
    # Create fake %ghost fonts.alias
    for subdir in TTF OTF ; do
        touch $FONTDIR/$subdir/fonts.{alias,scale}
        chmod 0644 $FONTDIR/$subdir/fonts.{alias,scale}
    done
    # Create fake %ghost encodings.dir, fonts.dir, fonts.cache-*
    for subdir in Type1 TTF OTF 100dpi 75dpi cyrillic misc ; do
        rm -f $FONTDIR/$subdir/{encodings,fonts}.dir
        touch $FONTDIR/$subdir/{encodings,fonts}.dir
        chmod 0644 $FONTDIR/$subdir/{encodings,fonts}.dir

        # Create bogus fonts.cache-* files
        # Create somewhat future-proofed ghosted fonts.cache-* files so that
        # the font packages own these files.
        for fcver in $(seq 1 9) ; do
            touch $FONTDIR/$subdir/fonts.cache-$fcver
            chmod 0644 $FONTDIR/$subdir/fonts.cache-$fcver
        done
    done
}

# Remove unwanted fonts
{
    # font-misc-meltho (syriac fonts)
    {
        # Remove fonts which contain bad codepoints, as documented in bug #97591
        rm $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMCtesiphon.otf
        rm $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMKharput.otf
        rm $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMMalankara.otf
        rm $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMMidyat.otf
        rm $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMQenNeshrin.otf
        rm $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMTurAbdin.otf
        rm $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMUrhoyBold.otf
        rm $RPM_BUILD_ROOT%{_x11fontdir}/OTF/SyrCOMUrhoy.otf
    }
}

#--------------------------------------------------------------------------
# FIXME: We should write a script, or couple of scripts for generic font
# installation - with options if necessary, to reduce the amount of code
# duplication in these font installation scripts, then add the generic
# font installation script to xorg-x11-font-utils or whatever.

%post base
{
  FONTDIR=%{_x11fontdir}/misc
  ENCODINGSDIR=%{_datadir}/X11/fonts/encodings
  XFSCONFIG=/etc/X11/fs/config

  #-------------------------------------------------------------------
  # Upgrade section - during upgrades only
  if [ "$1" -gt "1" ] ; then
    # Remove the Speedo directory from xfs config as X.Org no longer provides
    # Speedo font support.
    /usr/sbin/chkfontpath -qr %{_x11fontdir}/Speedo

    # NOTE: Remove the non :unscaled version of misc font directory from
    # configuration to undo a temporary workaround that was added in 0.99.0-5
    # XFS config file upgrade munging
    if [ -f $XFSCONFIG ] ; then
      # FIXME: chkfontpath is broken, and removes both misc and misc:unscaled
      #  /usr/sbin/chkfontpath -qr %{_x11fontdir}/misc

      # On upgrades, remove 'misc' without :unscaled from the XFS config
      # file to avoid ugly scaled bitmap fonts.  chkfontpath can't be used
      # as it is buggy and will remove the :unscaled entry also.
      if grep -q "%{_x11fontdir}/misc," $XFSCONFIG &> /dev/null ; then
        for fpe in misc ; do
          sed -ie "\#^.*%{_x11fontdir}/${fpe},.*#d" $XFSCONFIG
        done
      fi
    fi
  fi

  #-------------------------------------------------------------------
  # Both installs and upgrades

  # Generate the encodings.dir files in the encodings directories during
  # install time to work around bugs in upstream Makefiles.  This is more
  # consistent with how we generate fonts.dir files anyway.  Fixes bugs:
  # https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173875
  # https://bugs.freedesktop.org/show_bug.cgi?id=6028
  {
    for each in "${ENCODINGSDIR}" "${ENCODINGSDIR}/large" ; do
        pushd $each &> /dev/null
        mkfontscale -n -e "${each}"
        popd &> /dev/null
    done 
  }

  mkfontdir $FONTDIR 
  # NOTE: We add the ":unscaled" suffix to avoid ugly bitmap fonts.
  /usr/sbin/chkfontpath -qa %{_x11fontdir}/misc:unscaled
  fc-cache $FONTDIR
}
# || :
# &> /dev/null || :

%postun base
{
  # Rebuild fonts.dir when uninstalling package. (exclude the local, CID dirs)
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/misc
    # Only run fc-cache in the Type1 dir, gzipped pcf's take forever
    fc-cache %{_x11fontdir}/misc
  fi
}
# &> /dev/null || :

%post misc
{
  FONTDIR=%{_x11fontdir}/misc
  mkfontdir $FONTDIR 
  # NOTE: We add the ":unscaled" suffix to avoid ugly bitmap fonts.
  /usr/sbin/chkfontpath -qa %{_x11fontdir}/misc:unscaled
  # FIXME: This should only be done on upgrades.
  # Remove the Speedo directory from xfs config as X.Org no longer provides
  # Speedo font support.
  /usr/sbin/chkfontpath -qr %{_x11fontdir}/Speedo
  fc-cache $FONTDIR
}
# &> /dev/null || :

%postun misc
{
  # Rebuild fonts.dir when uninstalling package. (exclude the local, CID dirs)
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/misc
    # Only run fc-cache in the Type1 dir, gzipped pcf's take forever
    fc-cache %{_x11fontdir}/misc
  fi
}
# &> /dev/null || :

%post Type1
{
  FONTDIR=%{_type1_fontdir}/Type1
  mkfontscale $FONTDIR
  mkfontdir $FONTDIR
  /usr/sbin/chkfontpath -q -a $FONTDIR
  fc-cache $FONTDIR
} 
#&> /dev/null || :

%postun Type1
{
  FONTDIR=%{_type1_fontdir}/Type1
  if [ "$1" = "0" ]; then
    mkfontscale $FONTDIR
    mkfontdir $FONTDIR
    fc-cache $FONTDIR
  fi
}
# &> /dev/null || :

%post truetype
{
  FONTDIR=%{_ttf_fontdir}/TTF
  ttmkfdir -d $FONTDIR -o $FONTDIR/fonts.scale
  mkfontdir $FONTDIR
  /usr/sbin/chkfontpath -q -a $FONTDIR
  fc-cache $FONTDIR
}
# &> /dev/null || :

%postun truetype
{
  FONTDIR=%{_ttf_fontdir}/TTF
  if [ "$1" = "0" ]; then
    ttmkfdir -d $FONTDIR -o $FONTDIR/fonts.scale
    mkfontdir $FONTDIR
    fc-cache $FONTDIR
  fi
}
# &> /dev/null || :

%post syriac
{
  FONTDIR=%{_otf_fontdir}/OTF
  mkfontscale $FONTDIR
  mkfontdir $FONTDIR
  /usr/sbin/chkfontpath -q -a $FONTDIR
  fc-cache $FONTDIR
}
# &> /dev/null || :

%postun syriac
{
  FONTDIR=%{_otf_fontdir}/OTF
  if [ "$1" = "0" ]; then
    mkfontscale $FONTDIR
    mkfontdir $FONTDIR
    fc-cache $FONTDIR
  fi
}
# &> /dev/null || :

%if %{with_ethiopic_fonts}
%post ethiopic
{
  FONTDIR=%{_ttf_fontdir}/TTF
  ttmkfdir -d $FONTDIR -o $FONTDIR/fonts.scale
  mkfontdir $FONTDIR
  /usr/sbin/chkfontpath -q -a $FONTDIR
  fc-cache $FONTDIR

  FONTDIR=%{_otf_fontdir}/OTF
  mkfontscale $FONTDIR
  mkfontdir $FONTDIR
  /usr/sbin/chkfontpath -q -a $FONTDIR
  fc-cache $FONTDIR
}
# &> /dev/null || :

%postun ethiopic
{
  FONTDIR=%{_ttf_fontdir}/TTF
  if [ "$1" = "0" ]; then
    ttmkfdir -d $FONTDIR -o $FONTDIR/fonts.scale
    mkfontdir $FONTDIR
    fc-cache $FONTDIR
  fi
  FONTDIR=%{_otf_fontdir}/OTF
  if [ "$1" = "0" ]; then
    mkfontscale $FONTDIR
    mkfontdir $FONTDIR
    fc-cache $FONTDIR
  fi
}
# &> /dev/null || :
%endif

%post 75dpi
{
    mkfontdir %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
}
# &> /dev/null || :

%post 100dpi
{
    mkfontdir %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-1-75dpi
{
    mkfontdir %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-1-100dpi
{
    mkfontdir %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-2-75dpi
{
    mkfontdir %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-2-100dpi
{
    mkfontdir %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-9-75dpi
{
    mkfontdir %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-9-100dpi
{
    mkfontdir %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-14-75dpi
{
    mkfontdir %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-14-100dpi
{
    mkfontdir %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-15-75dpi
{
    mkfontdir %{_x11fontdir}/75dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/75dpi:unscaled
}
# &> /dev/null || :

%post ISO8859-15-100dpi
{
    mkfontdir %{_x11fontdir}/100dpi
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
}
# &> /dev/null || :

%post cyrillic
{
    mkfontdir %{_x11fontdir}/cyrillic
    /usr/sbin/chkfontpath -q -a %{_x11fontdir}/100dpi:unscaled
}
# &> /dev/null || :

%postun 75dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/75dpi
  fi
}
# &> /dev/null || :

%postun 100dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/100dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-1-75dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/75dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-1-100dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/100dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-2-75dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/75dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-2-100dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/100dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-9-75dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/75dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-9-100dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/100dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-14-75dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/75dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-14-100dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/100dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-15-75dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/75dpi
  fi
}
# &> /dev/null || :

%postun ISO8859-15-100dpi
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/100dpi
  fi
}
# &> /dev/null || :

%postun cyrillic
{
  if [ "$1" = "0" ]; then
    mkfontdir %{_x11fontdir}/cyrillic
  fi
}
# &> /dev/null || :

#--------------------------------------------------------------------------
%check

#--------------------------------------------------------------------------
%clean
rm -rf $RPM_BUILD_ROOT
#--------------------------------------------------------------------------
%files base
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/misc
# font-cursor-misc 	('cursor' font required by X server)
%{_x11fontdir}/misc/cursor.pcf*
# font-dec-misc		(DEC cursors)
%{_x11fontdir}/misc/dec????.pcf*
# font-misc-misc	('fixed' font required by X server)
%{_x11fontdir}/misc/[1-9]*-ISO8859-*.pcf*
%{_x11fontdir}/misc/10x20-KOI8-R.pcf*
%{_x11fontdir}/misc/10x20.pcf*
%{_x11fontdir}/misc/12x13ja.pcf*
%{_x11fontdir}/misc/18x18ja.pcf*
%{_x11fontdir}/misc/18x18ko.pcf*
%{_x11fontdir}/misc/4x6-KOI8-R.pcf*
%{_x11fontdir}/misc/4x6.pcf*
%{_x11fontdir}/misc/5x7-KOI8-R.pcf*
%{_x11fontdir}/misc/5x7.pcf*
%{_x11fontdir}/misc/5x8-KOI8-R.pcf*
%{_x11fontdir}/misc/5x8.pcf*
%{_x11fontdir}/misc/6x10-KOI8-R.pcf*
%{_x11fontdir}/misc/6x10.pcf*
%{_x11fontdir}/misc/6x12-KOI8-R.pcf*
%{_x11fontdir}/misc/6x12.pcf*
%{_x11fontdir}/misc/6x13-KOI8-R.pcf*
%{_x11fontdir}/misc/6x13.pcf*
%{_x11fontdir}/misc/6x13B.pcf*
%{_x11fontdir}/misc/6x13O.pcf*
%{_x11fontdir}/misc/6x9-KOI8-R.pcf*
%{_x11fontdir}/misc/6x9.pcf*
%{_x11fontdir}/misc/7x13-KOI8-R.pcf*
%{_x11fontdir}/misc/7x13.pcf*
%{_x11fontdir}/misc/7x13B.pcf*
%{_x11fontdir}/misc/7x13O.pcf*
%{_x11fontdir}/misc/7x14-JISX0201.1976-0.pcf*
%{_x11fontdir}/misc/7x14-KOI8-R.pcf*
%{_x11fontdir}/misc/7x14.pcf*
%{_x11fontdir}/misc/7x14B.pcf*
%{_x11fontdir}/misc/8x13-KOI8-R.pcf*
%{_x11fontdir}/misc/8x13.pcf*
%{_x11fontdir}/misc/8x13B.pcf*
%{_x11fontdir}/misc/8x13O.pcf*
%{_x11fontdir}/misc/9x15-KOI8-R.pcf*
%{_x11fontdir}/misc/9x15.pcf*
%{_x11fontdir}/misc/9x15B.pcf*
%{_x11fontdir}/misc/9x18-KOI8-R.pcf*
%{_x11fontdir}/misc/9x18.pcf*
%{_x11fontdir}/misc/9x18B.pcf*
%{_x11fontdir}/misc/k14.pcf*
%{_x11fontdir}/misc/nil2.pcf*
# font-schumacher-misc
%{_x11fontdir}/misc/cl[BIR][456789]x*.pcf*
# encodings
%dir %{_datadir}/X11/fonts/encodings
%dir %{_datadir}/X11/fonts/encodings/large
%{_datadir}/X11/fonts/encodings/*.enc.gz
%ghost %verify(not md5 size mtime) %{_datadir}/X11/fonts/encodings/encodings.dir
%{_datadir}/X11/fonts/encodings/large/*.enc.gz
%ghost %verify(not md5 size mtime) %{_datadir}/X11/fonts/encodings/large/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.cache-*

%files misc
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/misc
# font-arabic-misc	(Arabic)
%{_x11fontdir}/misc/arabic24.pcf*
# font-daewoo-misc	(Korean)
%{_x11fontdir}/misc/hangl*.pcf*
# font-isas-misc	(Chinese)
%{_x11fontdir}/misc/gb[12][46][fs][st].pcf*
# font-jis-misc		(Japanese)
%{_x11fontdir}/misc/jiskan??.pcf*
# font-mutt-misc
%{_x11fontdir}/misc/cu-alt12.pcf*
%{_x11fontdir}/misc/cu-arabic12.pcf*
%{_x11fontdir}/misc/cu-devnag12.pcf*
%{_x11fontdir}/misc/cu-lig12.pcf*
%{_x11fontdir}/misc/cu-pua12.pcf*
%{_x11fontdir}/misc/cu12.pcf*
%{_x11fontdir}/misc/cuarabic12.pcf*
%{_x11fontdir}/misc/cudevnag12.pcf*
# font-micro-misc
%{_x11fontdir}/misc/micro.pcf*
# font-sony-misc	(Japanese and ISO-8859-1)
%{_x11fontdir}/misc/12x24.pcf*
%{_x11fontdir}/misc/12x24rk.pcf*
%{_x11fontdir}/misc/8x16.pcf*
%{_x11fontdir}/misc/8x16rk.pcf*
# font-sun-misc		(OpenLook glyphs)
%{_x11fontdir}/misc/olcursor.pcf*
%{_x11fontdir}/misc/olgl1?.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/misc/fonts.cache-*

%files truetype
%defattr(-,root,root)
%dir %{_x11fontdir}
%dir %{_x11fontdir}/TTF
# font-bh-ttf
%{_x11fontdir}/TTF/luxi[mrs][br]*.ttf
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.cache-*

%files syriac
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/OTF
# font-misc-meltho
%{_x11fontdir}/OTF/SyrCOMAdiabene.otf
%{_x11fontdir}/OTF/SyrCOMAntioch.otf
%{_x11fontdir}/OTF/SyrCOMBatnan.otf
%{_x11fontdir}/OTF/SyrCOMBatnanBold.otf
# NOTE: The syriac fonts commented out for documentive purposes below are
# disabled as they are known to be problematic.  See Red Hat bug #97591
# for details.
#%{_x11fontdir}/OTF/SyrCOMCtesiphon.otf
%{_x11fontdir}/OTF/SyrCOMEdessa.otf
%{_x11fontdir}/OTF/SyrCOMJerusalem.otf
%{_x11fontdir}/OTF/SyrCOMJerusalemBold.otf
%{_x11fontdir}/OTF/SyrCOMJerusalemItalic.otf
%{_x11fontdir}/OTF/SyrCOMJerusalemOutline.otf
#%{_x11fontdir}/OTF/SyrCOMKharput.otf
#%{_x11fontdir}/OTF/SyrCOMMalankara.otf
%{_x11fontdir}/OTF/SyrCOMMardin.otf
%{_x11fontdir}/OTF/SyrCOMMardinBold.otf
#%{_x11fontdir}/OTF/SyrCOMMidyat.otf
%{_x11fontdir}/OTF/SyrCOMNisibin.otf
%{_x11fontdir}/OTF/SyrCOMNisibinOutline.otf
#%{_x11fontdir}/OTF/SyrCOMQenNeshrin.otf
%{_x11fontdir}/OTF/SyrCOMTalada.otf
#%{_x11fontdir}/OTF/SyrCOMTurAbdin.otf
#%{_x11fontdir}/OTF/SyrCOMUrhoy.otf
#%{_x11fontdir}/OTF/SyrCOMUrhoyBold.otf
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.cache-*

%if %{with_ethiopic_fonts}
%files ethiopic
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
# TTF fonts
%dir %{_x11fontdir}/TTF
# font-misc-ethiopic
%{_x11fontdir}/TTF/GohaTibebZemen.ttf
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.cache-*
# OTF fonts
%dir %{_x11fontdir}/OTF
%{_x11fontdir}/OTF/GohaTibebZemen.otf
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/OTF/fonts.cache-*
%endif

%files 75dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/75dpi
# font-adobe-75dpi
%{_x11fontdir}/75dpi/cour[BOR]??.pcf*
%{_x11fontdir}/75dpi/courBO??.pcf*
%{_x11fontdir}/75dpi/helv[BOR]??.pcf*
%{_x11fontdir}/75dpi/helvBO??.pcf*
%{_x11fontdir}/75dpi/ncen[BIR]??.pcf*
%{_x11fontdir}/75dpi/ncenBI??.pcf*
%{_x11fontdir}/75dpi/tim[BIR]??.pcf*
%{_x11fontdir}/75dpi/timBI??.pcf*
%{_x11fontdir}/75dpi/symb??.pcf*
# font-adobe-utopia-75dpi
%{_x11fontdir}/75dpi/UTBI__??.pcf*
%{_x11fontdir}/75dpi/UT[BI]___??.pcf*
%{_x11fontdir}/75dpi/UTRG__??.pcf*
# font-bh-75dpi
%{_x11fontdir}/75dpi/luBIS??.pcf*
%{_x11fontdir}/75dpi/lu[BIR]S??.pcf*
%{_x11fontdir}/75dpi/lub[BIR]??.pcf*
%{_x11fontdir}/75dpi/lubBI??.pcf*
# font-bh-lucidatypewriter-75dpi
%{_x11fontdir}/75dpi/lut[BR]S??.pcf*
# font-bitstream-75dpi
%{_x11fontdir}/75dpi/char[BIR]??.pcf*
%{_x11fontdir}/75dpi/charBI??.pcf*
%{_x11fontdir}/75dpi/tech14.pcf*
%{_x11fontdir}/75dpi/techB14.pcf*
%{_x11fontdir}/75dpi/term14.pcf*
%{_x11fontdir}/75dpi/termB14.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache-*

%files 100dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/100dpi
# font-adobe-100dpi
%{_x11fontdir}/100dpi/cour[BOR]??.pcf*
%{_x11fontdir}/100dpi/courBO??.pcf*
%{_x11fontdir}/100dpi/helv[BOR]??.pcf*
%{_x11fontdir}/100dpi/helvBO??.pcf*
%{_x11fontdir}/100dpi/ncen[BIR]??.pcf*
%{_x11fontdir}/100dpi/ncenBI??.pcf*
%{_x11fontdir}/100dpi/tim[BIR]??.pcf*
%{_x11fontdir}/100dpi/timBI??.pcf*
%{_x11fontdir}/100dpi/symb??.pcf*
# font-adobe-utopia-100dpi
%{_x11fontdir}/100dpi/UTBI__??.pcf*
%{_x11fontdir}/100dpi/UT[BI]___??.pcf*
%{_x11fontdir}/100dpi/UTRG__??.pcf*
# font-bh-100dpi
%{_x11fontdir}/100dpi/luBIS??.pcf*
%{_x11fontdir}/100dpi/lu[BIR]S??.pcf*
%{_x11fontdir}/100dpi/lub[BIR]??.pcf*
%{_x11fontdir}/100dpi/lubBI??.pcf*
# font-bh-lucidatypewriter-100dpi
%{_x11fontdir}/100dpi/lut[BR]S??.pcf*
# font-bitstream-100dpi
%{_x11fontdir}/100dpi/char[BIR]??.pcf*
%{_x11fontdir}/100dpi/charBI??.pcf*
%{_x11fontdir}/100dpi/tech14.pcf*
%{_x11fontdir}/100dpi/techB14.pcf*
%{_x11fontdir}/100dpi/term14.pcf*
%{_x11fontdir}/100dpi/termB14.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache-*

%files ISO8859-1-75dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/75dpi
# font-adobe-75dpi
%{_x11fontdir}/75dpi/cour[BOR]??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/courBO??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/helv[BOR]??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/helvBO??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/ncen[BIR]??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/ncenBI??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/tim[BIR]??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/timBI??-ISO8859-1.pcf*
# font-adobe-utopia-75dpi
%{_x11fontdir}/75dpi/UTBI__??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/UT[BI]___??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/UTRG__??-ISO8859-1.pcf*
# font-bh-75dpi
%{_x11fontdir}/75dpi/luBIS??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/lu[BIR]S??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/lub[BIR]??-ISO8859-1.pcf*
%{_x11fontdir}/75dpi/lubBI??-ISO8859-1.pcf*
# font-bh-lucidatypewriter-75dpi
%{_x11fontdir}/75dpi/lut[BR]S??-ISO8859-1.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache-*

%files ISO8859-1-100dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/100dpi
# font-adobe-100dpi
%{_x11fontdir}/100dpi/cour[BOR]??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/courBO??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/helv[BOR]??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/helvBO??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/ncen[BIR]??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/ncenBI??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/tim[BIR]??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/timBI??-ISO8859-1.pcf*
# font-adobe-utopia-100dpi
%{_x11fontdir}/100dpi/UTBI__??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/UT[BI]___??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/UTRG__??-ISO8859-1.pcf*
# font-bh-100dpi
%{_x11fontdir}/100dpi/luBIS??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/lu[BIR]S??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/lub[BIR]??-ISO8859-1.pcf*
%{_x11fontdir}/100dpi/lubBI??-ISO8859-1.pcf*
# font-bh-lucidatypewriter-100dpi
%{_x11fontdir}/100dpi/lut[BR]S??-ISO8859-1.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache-*

%files ISO8859-2-75dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/75dpi
# font-adobe-75dpi
%{_x11fontdir}/75dpi/cour[BOR]??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/courBO??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/helv[BOR]??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/helvBO??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/ncen[BIR]??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/ncenBI??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/tim[BIR]??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/timBI??-ISO8859-2.pcf*
# font-adobe-utopia-75dpi
%{_x11fontdir}/75dpi/UTBI__??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/UT[BI]___??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/UTRG__??-ISO8859-2.pcf*
# font-bh-75dpi
%{_x11fontdir}/75dpi/luBIS??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/lu[BIR]S??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/lub[BIR]??-ISO8859-2.pcf*
%{_x11fontdir}/75dpi/lubBI??-ISO8859-2.pcf*
# font-bh-lucidatypewriter-75dpi
%{_x11fontdir}/75dpi/lut[BR]S??-ISO8859-2.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache-*

%files ISO8859-2-100dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/100dpi
# font-adobe-100dpi
%{_x11fontdir}/100dpi/cour[BOR]??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/courBO??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/helv[BOR]??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/helvBO??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/ncen[BIR]??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/ncenBI??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/tim[BIR]??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/timBI??-ISO8859-2.pcf*
# font-adobe-utopia-100dpi
%{_x11fontdir}/100dpi/UTBI__??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/UT[BI]___??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/UTRG__??-ISO8859-2.pcf*
# font-bh-100dpi
%{_x11fontdir}/100dpi/luBIS??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/lu[BIR]S??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/lub[BIR]??-ISO8859-2.pcf*
%{_x11fontdir}/100dpi/lubBI??-ISO8859-2.pcf*
# font-bh-lucidatypewriter-100dpi
%{_x11fontdir}/100dpi/lut[BR]S??-ISO8859-2.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache-*

%files ISO8859-9-75dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/75dpi
# font-adobe-75dpi
%{_x11fontdir}/75dpi/cour[BOR]??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/courBO??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/helv[BOR]??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/helvBO??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/ncen[BIR]??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/ncenBI??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/tim[BIR]??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/timBI??-ISO8859-9.pcf*
# font-adobe-utopia-75dpi
%{_x11fontdir}/75dpi/UTBI__??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/UT[BI]___??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/UTRG__??-ISO8859-9.pcf*
# font-bh-75dpi
%{_x11fontdir}/75dpi/luBIS??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/lu[BIR]S??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/lub[BIR]??-ISO8859-9.pcf*
%{_x11fontdir}/75dpi/lubBI??-ISO8859-9.pcf*
# font-bh-lucidatypewriter-75dpi
%{_x11fontdir}/75dpi/lut[BR]S??-ISO8859-9.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache-*

%files ISO8859-9-100dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/100dpi
# font-adobe-100dpi
%{_x11fontdir}/100dpi/cour[BOR]??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/courBO??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/helv[BOR]??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/helvBO??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/ncen[BIR]??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/ncenBI??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/tim[BIR]??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/timBI??-ISO8859-9.pcf*
# font-adobe-utopia-100dpi
%{_x11fontdir}/100dpi/UTBI__??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/UT[BI]___??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/UTRG__??-ISO8859-9.pcf*
# font-bh-100dpi
%{_x11fontdir}/100dpi/luBIS??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/lu[BIR]S??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/lub[BIR]??-ISO8859-9.pcf*
%{_x11fontdir}/100dpi/lubBI??-ISO8859-9.pcf*
# font-bh-lucidatypewriter-100dpi
%{_x11fontdir}/100dpi/lut[BR]S??-ISO8859-9.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache-*

%files ISO8859-14-75dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/75dpi
# font-adobe-75dpi
%{_x11fontdir}/75dpi/cour[BOR]??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/courBO??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/helv[BOR]??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/helvBO??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/ncen[BIR]??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/ncenBI??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/tim[BIR]??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/timBI??-ISO8859-14.pcf*
# font-adobe-utopia-75dpi
%{_x11fontdir}/75dpi/UTBI__??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/UT[BI]___??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/UTRG__??-ISO8859-14.pcf*
# font-bh-75dpi
%{_x11fontdir}/75dpi/luBIS??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/lu[BIR]S??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/lub[BIR]??-ISO8859-14.pcf*
%{_x11fontdir}/75dpi/lubBI??-ISO8859-14.pcf*
# font-bh-lucidatypewriter-75dpi
%{_x11fontdir}/75dpi/lut[BR]S??-ISO8859-14.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache-*

%files ISO8859-14-100dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/100dpi
# font-adobe-100dpi
%{_x11fontdir}/100dpi/cour[BOR]??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/courBO??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/helv[BOR]??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/helvBO??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/ncen[BIR]??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/ncenBI??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/tim[BIR]??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/timBI??-ISO8859-14.pcf*
# font-adobe-utopia-100dpi
%{_x11fontdir}/100dpi/UTBI__??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/UT[BI]___??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/UTRG__??-ISO8859-14.pcf*
# font-bh-100dpi
%{_x11fontdir}/100dpi/luBIS??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/lu[BIR]S??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/lub[BIR]??-ISO8859-14.pcf*
%{_x11fontdir}/100dpi/lubBI??-ISO8859-14.pcf*
# font-bh-lucidatypewriter-100dpi
%{_x11fontdir}/100dpi/lut[BR]S??-ISO8859-14.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache-*

%files ISO8859-15-75dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/75dpi
# font-adobe-75dpi
%{_x11fontdir}/75dpi/cour[BOR]??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/courBO??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/helv[BOR]??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/helvBO??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/ncen[BIR]??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/ncenBI??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/tim[BIR]??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/timBI??-ISO8859-15.pcf*
# font-adobe-utopia-75dpi
%{_x11fontdir}/75dpi/UTBI__??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/UT[BI]___??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/UTRG__??-ISO8859-15.pcf*
# font-bh-75dpi
%{_x11fontdir}/75dpi/luBIS??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/lu[BIR]S??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/lub[BIR]??-ISO8859-15.pcf*
%{_x11fontdir}/75dpi/lubBI??-ISO8859-15.pcf*
# font-bh-lucidatypewriter-75dpi
%{_x11fontdir}/75dpi/lut[BR]S??-ISO8859-15.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/75dpi/fonts.cache-*

%files ISO8859-15-100dpi
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/100dpi
# font-adobe-100dpi
%{_x11fontdir}/100dpi/cour[BOR]??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/courBO??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/helv[BOR]??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/helvBO??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/ncen[BIR]??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/ncenBI??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/tim[BIR]??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/timBI??-ISO8859-15.pcf*
# font-adobe-utopia-100dpi
%{_x11fontdir}/100dpi/UTBI__??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/UT[BI]___??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/UTRG__??-ISO8859-15.pcf*
# font-bh-100dpi
%{_x11fontdir}/100dpi/luBIS??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/lu[BIR]S??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/lub[BIR]??-ISO8859-15.pcf*
%{_x11fontdir}/100dpi/lubBI??-ISO8859-15.pcf*
# font-bh-lucidatypewriter-100dpi
%{_x11fontdir}/100dpi/lut[BR]S??-ISO8859-15.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/100dpi/fonts.cache-*

%files Type1
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/Type1
# font-adobe-utopia-type1
%{_x11fontdir}/Type1/UT??____.[ap]f[ma]
# font-bh-type1
%{_x11fontdir}/Type1/l04[789]0[13][36]t.[ap]f[ma]
# font-bitstream-type1
%{_x11fontdir}/Type1/c0???bt_.[ap]f[mb]
# font-ibm-type1
%{_x11fontdir}/Type1/cour*.afm
%{_x11fontdir}/Type1/cour*.pfa
#font-xfree86-type1
%{_x11fontdir}/Type1/cursor.pfa
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.dir
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.scale
#%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.cache
%ghost %verify(not md5 size mtime) %{_x11fontdir}/Type1/fonts.cache-*

%files cyrillic
%defattr(-,root,root,-)
%doc
%dir %{_x11fontdir}
%dir %{_x11fontdir}/cyrillic
# font-cronyx-cyrillic
%{_x11fontdir}/cyrillic/crox[1-6]*.pcf*
%{_x11fontdir}/cyrillic/koi10x16b.pcf*
%{_x11fontdir}/cyrillic/koi10x20.pcf*
%{_x11fontdir}/cyrillic/koi6x10.pcf*
%{_x11fontdir}/cyrillic/koinil2.pcf*
# font-misc-cyrillic
%{_x11fontdir}/cyrillic/koi12x24*.pcf*
%{_x11fontdir}/cyrillic/koi6x13.pcf*
%{_x11fontdir}/cyrillic/koi6x13b.pcf*
%{_x11fontdir}/cyrillic/koi6x9.pcf*
%{_x11fontdir}/cyrillic/koi[5789]x*.pcf*
# font-screen-cyrillic
%{_x11fontdir}/cyrillic/screen8x16*.pcf*
# font-winitzki-cyrillic
%{_x11fontdir}/cyrillic/proof9x16.pcf*
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/encodings.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.dir
# NOTE: Xorg supplies this fonts.alias, so it is not ghosted
%verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/cyrillic/fonts.cache-*

%changelog
* Mon Feb 26 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Sat Mar 04 2006 Mike A. Harris <mharris@redhat.com> 7.0-3
- Ensure upgrade-only section of fonts-base rpm post script only executes on
  upgrades using -gt instead of -ge.

* Fri Feb 24 2006 Mike A. Harris <mharris@redhat.com> 7.0-2
- Generate encodings.dir files in the encodings dirs with mkfontscale from the
  base fonts package post install script, to work around bug (#173875)

* Thu Jan 26 2006 Mike A. Harris <mharris@redhat.com> 7.0-1
- Bumped artificial package version to 7.0, to indicate that the font tarballs
  are all from X11R7.0.
- Enabled the ethiopic font subpackage experimentally for bug (#176678)

* Tue Jan 17 2006 Mike A. Harris <mharris@redhat.com> 1.0.0-3
- Added missing post/postun scripts for ISO8859-1-75dpi and ISO8859-1-100dpi
  font packages. (#174416)

* Tue Jan 10 2006 Bill Nottingham <notting@redhat.com> 1.0.0-2
- fix obsoletes (#177377)

* Thu Dec 15 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all font packages to X11R7 RC4 versions.
- Added perl hack to build section to massage all of the configure.ac files
  to use pkgconfig to autodetect the top level X fontdir.
- Added font-alias-1.0.0-fonts-alias-fontdir-fix.patch to use pkgconfig to
  autodetect the top level X fontdir.
- Added encodings-1.0.0-encodings-fontdir-fix.patch to use pkgconfig to
  autodetect the top level X fontdir.
- Use new --disable-iso8859-* options instead of deleting unwanted encodings.
- Added dependency on font-utils 1.0.0

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-1
- Updated all font packages to X11R7 RC3 versions.

* Fri Nov 25 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-8
- Due to a bug in chkfontpath which will remove both 'misc' and 'misc:unscaled'
  from the fontpath, use sed magic to do it instead, based of xfs scripts.

* Wed Nov 23 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-7
- Undo the workaround implemented in build 0.99.0-5, and make the misc fonts
  directory ":unscaled" again.
- Invoke chkfontpath to remove the bare 'misc' font path without the :unscaled
  attribute from xfs config.

* Mon Nov 14 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-6
- Fixed mkfontscale invocation in Type1 font subpackage post/postun scripts
  by removing accidental -o argument that creeped in via cut and paste
  error. (#173059)

* Sun Nov 13 2005 Jeremy Katz <katzj@redhat.com> - 0.99.0-5
- don't use :unscaled for base fonts as a temporary workaround for #172997

* Wed Nov 9 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-4
- Added Obsoletes/Conflicts lines for fonts-xorg-* et al. to all subpackages,
  so that OS upgrades work properly.

* Tue Nov 8 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Split the old style 'base' fonts package up into 'base' and 'misc', where
  'base' now contains only the 'cursor' and 'fixed' fonts required by the
  X server, and 'misc' contains a variety of Asian, Arabic, Indic, and other
  fonts that can now be optionally installed or removed.
- Use globs in file manifests to reduce size of specfile.
- Add post/postun scripts for all font subpackages.
- Disable ethiopic fonts by default.

* Mon Nov 7 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Added "BuildArch: noarch" so that all fonts are noarch.

* Tue Oct 25 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial packaging.
